%define _unpackaged_files_terminate_build 1

%global realname xmpp

%set_verify_elf_method relaxed

Name: erlang-%realname
Version: 1.4.9
Release: alt1
Summary: Erlang/Elixir XMPP parsing and serialization library on top of Fast XML
Group: Development/Erlang
License: Apache-2.0
Url: https://github.com/processone/xmpp

# https://github.com/processone/xmpp.git
Source: %name-%version.tar

Patch1: erlang-xmpp-fedora-allow-fxml.hrl-to-be-found-from-system-libs.patch

BuildRequires(pre): rpm-build-erlang
BuildRequires: erlang-otp-devel erlang-devel
BuildRequires: /usr/bin/rebar
BuildRequires: erlang-p1_utils
BuildRequires: erlang-fast_xml
BuildRequires: erlang-stringprep
BuildRequires: erlang-fast_tls
BuildRequires: erlang-ezlib
BuildRequires: erlang-idna

%description
The library provides comprehensive representation of XMPP elements
as well as tools to work with them.
Every such element is represented by an Erlang record.
Most of the library's code is auto generated
and thus considered to be bug free and efficient.

The approach is very similar to ASN.1, Google Protocol Buffers
or Apache Thrift: an XML element is transformed
into internal language structure (an Erlang record in our case)
- the process known as "decoding".
During decoding, validation is also performed,
thus well-typed structures are generated,
potentially decreasing bugs related to handcrafted parsing.
A reverse process known as "encoding" is applied
for transforming an Erlang record into an XML element.

The library should be used along with fast_xml library,
because it is only able to decode from and encode
to structures generated by that library (that is, xmlel() elements).

%prep
%setup
%patch1 -p0

%build
%rebar_compile

%install
%rebar_install %realname

%check
%rebar_eunit -C rebar.test.config

%files
%doc LICENSE.*
%doc doc README.md
%_erllibdir/%realname-%version

%changelog
* Wed Aug 05 2020 Aleksei Nikiforov <darktemplar@altlinux.org> 1.4.9-alt1
- Updated to upstream version 1.4.9.

* Wed Jul 08 2020 Aleksei Nikiforov <darktemplar@altlinux.org> 1.4.7-alt1
- Updated to upstream version 1.4.7.

* Mon Mar 30 2020 Aleksei Nikiforov <darktemplar@altlinux.org> 1.4.5-alt1
- Updated to upstream version 1.4.5.

* Wed Jun 05 2019 Aleksei Nikiforov <darktemplar@altlinux.org> 1.3.4-alt1
- Updated to upstream version 1.3.4.

* Tue Mar 05 2019 Aleksei Nikiforov <darktemplar@altlinux.org> 1.3.2-alt1
- Updated to upstream version 1.3.2.

* Mon Jan 14 2019 Aleksei Nikiforov <darktemplar@altlinux.org> 1.2.8-alt1
- Updated to upstream version 1.2.8.

* Mon Apr 16 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 1.1.20-alt1
- Initial build for ALT.
